org.apache.sling.bgservlets

## Interface JobProgressInfo

    public interface JobProgressInfo

Provides Job progress information

### Method Summary

Methods
`Date` `getEstimatedCompletionTime()` Return the job's ETA if available.
`String` `getProgressMessage()` Return a single line of progress information

### Method Detail

#### getEstimatedCompletionTime

    Date getEstimatedCompletionTime()

Return the job's ETA if available.

Returns:
  null if the job didn't provide an ETA, or if it is done.

#### getProgressMessage

    String getProgressMessage()

Return a single line of progress information